#!/bin/sh
# check if vdr is online

if [ -e /tmp/vdr.shutdown -o -e /tmp/vdr.standby ] ; then
    echo "<td class=menuitem>standby! --> ? <a href=/cgi-bin/wakeup.sh>$XWAKEUPMSG</a></td></tr>"
else
  # PDA -Menu
  if [ -e /tmp/pda ] ; then
    /bin/cat << EOM
      <tr>
        <td>
          <table class="menutable">
            <tr>
              <td class="menuitem"><a href="/cgi-bin/pda.sh">$XSTART</a>    </td>
              <td class="menuitem"><a href="/cgi-bin/base-rc.sh" target=$TARGET>$XRC</a></td></tr>
              <tr><td class="menuitem"><a href="/cgi-bin/timers.sh" target=$TARGET>$XTIMER</a></td>
              <td class="menuitem"><a href="/cgi-bin/records.sh" target=$TARGET>$XRECORDS</a></td></tr>
              <tr><td class="menuitem"><a href="/cgi-bin/addonlist.sh" target=$TARGET>$XADDONS</a> | <a href=$XHELPURL target=$TARGET>?</a></td>
            
EOM
        #streaming or switching
      
        if [ -e /tmp/rh_stream_extern -a -e /root/externremux.sh ] ; then
          echo "<td class="menuitem"><a href=/cgi-bin/svdrpcommand.sh?value=/cgi-bin/pda.sh+rhstream+0 target=_self>TV</a> | <b>extern</b></td>"
        else
         echo "<td class="menuitem"><b>TV</b> | <a href=/cgi-bin/svdrpcommand.sh?value=/cgi-bin/pda.sh+rhstream+2 target=_self>extern</a></td>"
        fi
      
        /bin/cat << EOM
                  </tr>
                </table>
              </td>
            </tr> 
EOM
  else
    # PC Menu
    /bin/cat << EOM
      <tr>
        <td>
          <table class="menutable">
            <tr>
              <td class="menuitem"><a href="/cgi-bin/base-pcmenu.sh">$XSTART</a>    </td>
              <td class="menuitem"><a href="/cgi-bin/base-rc.sh" target=$TARGET>$XRC</a></td>
              <td class="menuitem"><a href="/cgi-bin/timers.sh" target=$TARGET>$XTIMER</a></td>
              <td class="menuitem"><a href="/cgi-bin/records.sh" target=$TARGET>$XRECORDS</a></td>
              <td class="menuitem"><a href="/cgi-bin/addonlist.sh" target=$TARGET>$XADDONS</a></td>
              
EOM
        #streaming or switching
	      if [ $STREAM -eq 1 ] ; then
                if [ -e /tmp/rh_stream ] ; then
                  if [ -e /tmp/rh_stream_extern -a -e /root/externremux.sh ] ; then
                    echo "<td class="menuitem"><a href=/cgi-bin/svdrpcommand.sh?value=/cgi-bin/base-pcmenu.sh+rhstream+0 target=_self>TV</a> | <a href=/cgi-bin/svdrpcommand.sh?value=/cgi-bin/base-pcmenu.sh+rhstream+1 target=_self>stream</a> | <b>extern</b></td>"
                  else
            	     echo "<td class="menuitem"><a href=/cgi-bin/svdrpcommand.sh?value=/cgi-bin/base-pcmenu.sh+rhstream+0 target=_self>TV</a> | <b>stream</b> | <a href=/cgi-bin/svdrpcommand.sh?value=/cgi-bin/base-pcmenu.sh+rhstream+2 target=_self>extern</a></td>"
                  fi
                else
           	     echo "<td class="menuitem"><b>TV</b> | <a href=/cgi-bin/svdrpcommand.sh?value=/cgi-bin/base-pcmenu.sh+rhstream+1 target=_self>stream</a> | <a href=/cgi-bin/svdrpcommand.sh?value=/cgi-bin/base-pcmenu.sh+rhstream+2 target=_self>extern</a></td>"
                fi
	      fi

      /bin/cat << EOM
            </tr>
          </table>
        </td>
      </tr> 
EOM
    fi

fi


