#!/bin/sh

. ./base-config.sh

STREAM=1

echo $CT
echo ""

/bin/cat << EOM
<html>
<head>
<title>EPG</title>
<link rel="stylesheet" media="screen" type="text/css" href="/screen.css">
<link rel="stylesheet" media="handheld" type="text/css" href="/handheld.css">
</head>

<form name="form1" method="GET" action="epg_at.sh">
<table class="epgframe">
EOM

. ./base-menu.sh

SVDRCOMMAND=$(echo $QUERY_STRING | cut -d"=" -f2 | tr -s "+" " ")
SVDRCOMMAND=$(./base-http2text.sh $SVDRCOMMAND)

if [ "$SVDRCOMMAND" != "" ] ; then
#  echo $svdrcommand
  answer=$(/sbin/svdrpsend.sh $SVDRCOMMAND)
#  echo $answer
fi


/bin/cat << EOM
  <tr>
    <td>
      <table class="epgtable">
      <tr>
        <td class="epghleft">
EOM

echo $(date +%H:%M)
echo "</td>"
echo "<td colspan=2 class=\"epghright\">$XRUNNING: <a href=\"/cgi-bin/epg_now.sh\">$XNOW</a> | <b>$XNEXT</b> | $XAT <input type=text name=value size=4 value=\""
echo $(date +%H:%M)
echo "\"></td>"

/bin/cat << EOM
      </tr>
      </table>
    </td>
  </tr>

EOM

if [ -e /tmp/pda ] ; then
  ./base-lsvdr -l $LANG -t next -m $MAXCHANNELS epg | grep -v "epgsubtitle" | grep -v "epgdesc"
else
	if [ -e /opt/iepg ] ; then
		./base-lsvdr -l $LANG -t next -m $MAXCHANNELS epg |sed -e 's/|/<br>/g'|sed -e 's/\(Picture=\/opt\)\(\/.*png\)/<br><img src="\2"\/>/g'|sed -e 's/\(Top Tipp: Tagestipp\)/<b><font color=red>\1<\/font><\/b>/g'|sed -e 's/\(Top Tipp: Tipp\)/<font color=red>\1<\/font>/g'
	else
	  ./base-lsvdr -l $LANG -t next -m $MAXCHANNELS epg
	fi
fi

/bin/cat << EOM
</table>
</form>
</body>
</html>
EOM

