#!/bin/sh

. ./base-config.sh

echo $CT
echo ""
echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">'
echo "<html><head><title>ReelHTTP</title>"
echo '<style type="text/css">'
echo "  a:link { color:blue; text-decoration:none; }"
echo "  a:visited { color:blue; text-decoration:none;  }"
echo "  a:hover { color:red; text-decoration:none; }"
echo "  a:active { color:blue; text-decoration:none;  }"
echo "  a:focus { color:#0000FF; text-decoration:none;  }"
echo "</style>"
echo "</head><body bgcolor=#B0C0FF>"

# check and set 
width='100%' 
height='95%'

#some global stuff
action=$(echo "$QUERY_STRING" | cut -d"=" -f1)
referer=$(echo "$HTTP_HOST" | cut -d":" -f1)
SHOWIFRAME=1
SHOWSTATUS=1

. ./check_webifs.sh

#choose action
case $action in
    vdradmin) iframe=$VDRADMIN
              ;;
    reelhttp) iframe=$REELHTTP  
              ;;
    reelhttp_pda) iframe=$REELHTTP_PDA  
              ;;
    rbc)      iframe=$RBC
              ;;
    ivdr)     iframe=$IVDR
              ;;
    xxv)      iframe=$XXV
              ;;
    live)     iframe=$LIVE
              ;;
    tvinfo)   iframe="http://www.tvinfo.de"
              ;;
    tvinfo-import) iframe="/cgi-bin/tvinfo-import-wrapper.sh"
              ;;
    tvtv)     iframe="http://www.tvtv.de"
              ;;
    more)     iframe="/cgi-bin/addonlist.sh"
              ;;
    help)     iframe="http://hthede.de"
              ;;
    config)   iframe="/cgi-bin/config-edit.sh?edit=config.sh"
              ;;
    wakeup)   if [ -e /tmp/vdr.shutdown ] ; then
                  rm /tmp/vdr.shutdown
              else
                  if [ -e /tmp/vdr.standby ] ; then
	                   rm /tmp/vdr.standby
                  fi
              fi

              STATUS="<font color=green size=-1>$XWAKEUPMSG </font>"
              iframe="/cgi-bin/addonlist.sh"    
              SHOWSTATUS=0
              ;;
    off)      /sbin/svdrpsend.sh "HITK POWER" > /dev/null
              STATUS="<font color=red size=-1>$XHOFFMSG </font>"
              iframe="/cgi-bin/addonlist.sh"
              SHOWSTATUS=0
              ;;
     *)       iframe="/cgi-bin/addonlist.sh"
              ;;
esac

# MENU
echo "<font size=-1><a href=/cgi-bin/reelhttp.sh><b>ReelHTTP-Menu</b></a> "
  
    # Standby or not?
    if [ $SHOWSTATUS -eq 1 ] ; then
        if [ -e /tmp/vdr.shutdown -o -e /tmp/vdr.standby ] ; then
          echo "(<a href=/cgi-bin/reelhttp.sh?wakeup><font color=red>$XHOFF</font></a>) "
        else
          echo "(<a href=/cgi-bin/reelhttp.sh?off><font color=green>$XHON</font></a>) "
        fi
    else
          echo "($STATUS)"
    fi
          
    echo " | <a href=/cgi-bin/reelhttp.sh?reelhttp>ReelHTTP-EPG</a> <a href=/cgi-bin/reelhttp.sh?reelhttp_pda>(PDA)</a> "
    
    if [ ! $TVINFONAME = "xyz" ] ; then
      echo " | <a href=/cgi-bin/reelhttp.sh?tvinfo>TV-Info</a> <a href=/cgi-bin/reelhttp.sh?tvinfo-import>(import Timer)</a> "
    else
      echo " | <a href=/cgi-bin/reelhttp.sh?tvtv>tvtv</a> | "
    fi

    if [ $SHOWVDRADMIN -eq 1 ] ; then
      echo " | <a href=/cgi-bin/reelhttp.sh?vdradmin>vdradmin</a>"
    fi

    if [ $SHOWLIVE -eq 1 ] ; then
      echo " | <a href=/cgi-bin/reelhttp.sh?live>LIVE</a>"
    fi

    if [ $SHOWXXV -eq 1 ] ; then
      echo " | <a href=/cgi-bin/reelhttp.sh?xxv>XXV</a>"
    fi
    
    if [ $SHOWRBC -eq 1 ] ; then
      echo " | <a href=/cgi-bin/reelhttp.sh?rbc>RBC</a>"
    fi
    
    if [ $SHOWIVDR -eq 1 ] ; then
      echo " | <a href=/cgi-bin/reelhttp.sh?ivdr>iVDR</a>"
    fi
    
    echo "</font>"
    
    echo " || <font size=-1>"
    if [ -e /etc/reelhttp-base/reelhttp-version ] ; then
        echo "Version: $(cat /etc/reelhttp-base/reelhttp-version)&nbsp;&nbsp;"
    fi
    echo "<a href=/cgi-bin/reelhttp.sh?config>$XCONFIG</a> | "
    echo "<a href=/cgi-bin/reelhttp.sh?help>$XHELP</a>"
    
    # test only: comment or uncomment
    #echo ": $HTTP_HOST $QUERY_STRING $VDRADMIN"

# the iframe itself
echo "<br><iframe src=$iframe width=$width height=$height name=vdradmin frameborder=0>"
echo "<p>Your browser doesnt support iframes (included frames): <a href=$iframe target=_blank></p></iframe>"


echo "</body></html>"