#!/bin/sh

. ./base-config.sh

echo $CT
echo ""

/bin/cat << EOM
<html>
<head>
<title>update</title>
<link rel="stylesheet" media="screen" type="text/css" href="/screen.css">
<link rel="stylesheet" media="handheld" type="text/css" href="/handheld.css">
</head>
<body>
<table class=generic>
EOM

. ./base-menu.sh

echo "<tr><td><table=100%>"
echo "<tr><td>"


if [ $REEL -eq 1 ] ; then
    # for AVG
      #0) update reelhttp
      cd /opt
      if [ -e reelhttp.tgz ] ; then
        tar -xzvf reelhttp.tgz -C /
      else
        wget http://hthede.de/dist/reelhttp.tgz > /dev/null
        tar -xzvf reelhttp.tgz -C /
      fi
      
      rm reelhttp.tgz
      
      /etc/reelhttp-base/cgi-bin/checkinstall.sh

else
    # for Lite
    # check if /opt in use
    if [ $(cat /etc/default/sysconfig | grep USE_OPT | grep -ic yes) -eq 1 ] ; then
      
      #0) update reelhttp
      cd /opt
      if [ -e reelhttp.tgz ] ; then
        tar -xzvf reelhttp.tgz -C /
      else
        wget http://hthede.de/dist/reelhttp.tgz > /dev/null
        tar -xzvf reelhttp.tgz -C /
      fi
      
      rm reelhttp.tgz
      
      /etc/reelhttp-base/cgi-bin/checkinstall.sh
      
    else
      echo "<b>using /opt is disabled in setup, will update base version</b><br>"
        cd /tmp
        if [ -e reelhttp-base.tgz ] ; then
          tar -xzvf reelhttp-base.tgz -C /
        else
          wget http://hthede.de/dist/reelhttp-base.tgz
          tar -xzvf reelhttp-base.tgz -C /
        fi
      
        rm reelhttp-base.tgz
        
        /etc/reelhttp-base/cgi-bin/checkinstall.sh
    fi
fi


echo "</td></tr><tr><td><b>done!</b></td></tr>"
echo "</table></td></tr>"

/bin/cat << EOM
</table>
</body> 
</html>
EOM
